Trigger new analysis
curl --request POST \
--url https://api.rekko.ai/v1/markets/{platform}/{market_id}/analyzeimport requests
url = "https://api.rekko.ai/v1/markets/{platform}/{market_id}/analyze"
response = requests.post(url)
print(response.text)const options = {method: 'POST'};
fetch('https://api.rekko.ai/v1/markets/{platform}/{market_id}/analyze', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"analysis_id": "rk-a1b2c3d4e5f6",
"estimated_seconds": 60,
"poll_url": "/v1/markets/kalshi/KXFED-26MAR19/analyze/rk-a1b2c3d4e5f6/status",
"status": "running"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Insights
Trigger Analysis
Start an async analysis for a specific market. Poll the status URL for completion.
POST
/
v1
/
markets
/
{platform}
/
{market_id}
/
analyze
Trigger new analysis
Path Parameters
Example:
"kalshi"
Example:
"KXAGICO-COMP-28Q1"
Response
Successful Response
Status of an async analysis request.
Opaque analysis identifier (rk-...)
Current status
Available options:
running, complete, error URL to poll for status updates
Estimated time to completion
Error details if status is 'error'
⌘I